## EMailPartHeaders EMailPartHeaders |

## Functions

EMailPart * | e_mail_part_headers_new ()
gchar ** | e_mail_part_headers_dup_default_headers ()
void | e_mail_part_headers_set_default_headers ()
gboolean | e_mail_part_headers_is_default ()
GtkTreeModel * | e_mail_part_headers_ref_print_model ()

## Properties

GStrv | default-headers | Read / Write / Construct

## Types and Values

#define | E_MAIL_PART_HEADERS_MIME_TYPE
enum | EMailPartHeadersPrintModelColumns

## Object Hierarchy

        GObject
        ╰── EMailPart
            ╰── EMailPartHeaders

## Description

## Functions

### e_mail_part_headers_new ()

    EMailPart *
    e_mail_part_headers_new (CamelMimePart *mime_part,
                             const gchar *id);

### e_mail_part_headers_dup_default_headers ()

    gchar **
    e_mail_part_headers_dup_default_headers
                                   (EMailPartHeaders *part);

### e_mail_part_headers_set_default_headers ()

    void
    e_mail_part_headers_set_default_headers
                                   (EMailPartHeaders *part,
                                    const gchar * const *default_headers);

### e_mail_part_headers_is_default ()

    gboolean
    e_mail_part_headers_is_default (EMailPartHeaders *part,
                                    const gchar *header_name);

### e_mail_part_headers_ref_print_model ()

    GtkTreeModel *
    e_mail_part_headers_ref_print_model (EMailPartHeaders *part);

## Types and Values

### E_MAIL_PART_HEADERS_MIME_TYPE

    #define             E_MAIL_PART_HEADERS_MIME_TYPE

### enum EMailPartHeadersPrintModelColumns

#### Members

E_MAIL_PART_HEADERS_PRINT_MODEL_COLUMN_INCLUDE |  |
E_MAIL_PART_HEADERS_PRINT_MODEL_COLUMN_HEADER_NAME |  |
E_MAIL_PART_HEADERS_PRINT_MODEL_COLUMN_HEADER_VALUE |  |
E_MAIL_PART_HEADERS_PRINT_MODEL_NUM_COLUMNS |  |

## Property Details

### The `“default-headers”` property

      “default-headers”          GStrv

Headers to display by default.

Owner: EMailPartHeaders

Flags: Read / Write / Construct